extern crate sveppa_bencode;

use sveppa_bencode::Bencode;

pub fn main() {
    let ubuntu_torrent_file: Vec<u8> = std::fs::read("examples/torrent_files/ubuntu.torrent")
        .expect("run me from the top level directory.");
    let ubuntu_torrent_bencode: Bencode = Bencode::from_bytes(ubuntu_torrent_file.as_slice())
        .unwrap()
        .0;
    println!("{:?}", ubuntu_torrent_bencode);
}
